import type { AptPackage } from "./install.js";
/**
 * The type of apt package to install
 */
export declare enum AptPackageType {
    NameDashVersion = 0,
    NameEqualsVersion = 1,
    Name = 2,
    None = 3
}
/**
 * Filter out the packages that are already installed and qualify the packages into a full package name/version
 */
export declare function filterAndQualifyAptPackages(packages: AptPackage[], apt?: string): Promise<string[]>;
/**
 * Qualify the package into full package name/version.
 * If the package is not installed, return the full package name/version.
 * If the package is already installed, return undefined
 */
export declare function qualifiedNeededAptPackage(pack: AptPackage, apt?: string): Promise<string | undefined>;
